package com.smppw.modaq.common.enums;

import lombok.Getter;

@Getter
public enum ReportMonthlyType {
    /**
     * 不用提取
     */
    NO_NEED(-1),
    /**
     * 未成功提取
     */
    FAILED(null),
    /**
     * 协会版
     */
    AMAC(0),
    /**
     * 管理人版
     */
    MANAGER(1),
    ;
    private final Integer type;

    ReportMonthlyType(Integer type) {
        this.type = type;
    }

    public static boolean validMonthlyType(ReportMonthlyType monthlyType) {
        return monthlyType == AMAC || monthlyType == MANAGER;
    }
}
